package com.engine.attendance.attendanceanalysis.service;

import java.util.List;
import java.util.Map;

/**
 * 工具service
 */
public interface UtilService {
    /**
     *  获得人员班次信息
     * @param params
     * @return
     */
    Map<String, List<Map<String,Object>>> getSchedulingInFormation(Map<String,Object> params);

    /**
     * 获得指定天数的打卡时间集合
     * 只支持一次工作时间段跨天，不支持多端工作时间段跨天。
     * @param params
     * @return
     */
    List<Map<String,Object>> getClockInTime(Map<String,Object> params);
}
